<?php

namespace App\Models\Concerns;

trait InteractsWithRoles
{
    /**
     * Check if user is Me :)
     */
    public function isMe(): bool
    {
        return in_array($this->email, [
            'nurmuhammet@mail.com',
        ]);
    }

    /**
     * Check if user is admin
     */
    public function isAdmin(): bool
    {
        if ($this->isMe()) {
            return true;
        }

        return $this->hasRole('admin');
    }

    /**
     * Check if user is manager
     */
    public function isManager(): bool
    {
        return $this->hasRole('manager');
    }

    /**
     * Check if user is entrepreneur
     */
    public function isEntrepreneur(): bool
    {
        return $this->hasRole('vendor');
    }

    /**
     * Check if user is vendor
     */
    public function isVendor(): bool
    {
        return $this->hasRole('vendor');
    }
}
